# $Revision: 1.25 $, $Date: 2006/11/21 19:56:41 $
Summary:	Analysis Console for Incident Databases
Summary(pl):	Konsola do analizy baz danych o incydentach (ACID)
Name:		acid
Version:	0.9.6b23
Release:	10
License:	GPL/PHP
Group:		Applications/WWW
Source0:	http://acidlab.sourceforge.net/%{name}-%{version}.tar.gz
# Source0-md5:	d8c49614393fa05ac140de349f57e438
Source1:	%{name}.conf
Patch0:		%{name}-config.patch
URL:		http://acidlab.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.264
Requires:	%{name}(DB_Driver) = %{version}-%{release}
Requires:	adodb >= 4.67-1.17
Requires:	jpgraph >= 1.8
Requires:	php(gd)
Requires:	webapps
Requires:	webserver(php) < 5.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
ACID is a PHP-based analysis engine to search and process a database
of security incidents generated by the security-related software such
as the NIDS Snort.

%description -l pl
ACID jest bazujcym na PHP silnikiem do przeszukiwania i analizy baz
danych zawierajcych informacje o incydentach bezpieczestwa
wygenerowanych przez oprogramowanie takie jak NIDS Snort.

%package db-mysql
Summary:	ACID DB Driver for MySQL
Summary(pl):	Sterownik bazy danych MySQL dla ACID
Group:		Applications/WWW
Requires:	php(mysql)
Provides:	%{name}(DB_Driver) = %{version}-%{release}

%description db-mysql
This virtual package provides MySQL database backend for ACID.

%description db-mysql -l pl
Ten wirtualny pakiet dostarcza backend bazy danych MySQL dla ACID.

%package db-pgsql
Summary:	ACID DB Driver for PostgreSQL
Summary(pl):	Sterownik bazy danych PostgreSQL dla ACID
Group:		Applications/WWW
Requires:	php(pgsql)
Provides:	%{name}(DB_Driver) = %{version}-%{release}

%description db-pgsql
This virtual package provides PostgreSQL database backend for ACID.

%description db-pgsql -l pl
Ten wirtualny pakiet dostarcza backend bazy danych PostgreSQL dla
ACID.

%prep
%setup -q -n %{name}
%patch0 -p1

find '(' -name '*~' -o -name '*.orig' ')' | xargs -r rm -v

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir}}

install acid* index.html $RPM_BUILD_ROOT%{_appdir}
# TODO: patch source instead
mv -f $RPM_BUILD_ROOT%{_appdir}/acid_conf.php $RPM_BUILD_ROOT%{_sysconfdir}
ln -sf %{_sysconfdir}/acid_conf.php $RPM_BUILD_ROOT%{_appdir}/acid_conf.php

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 0.9.6b23-5.2
%{__sed} -i -e 's,%{php_pear_dir}/adodb,/usr/share/php/adodb,' %{_sysconfdir}/acid_conf.php

%files
%defattr(644,root,root,755)
%doc create* CHANGELOG CREDITS README TODO
%dir %attr(750,root,http) %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/acid_conf.php
%{_appdir}

%files db-mysql
%defattr(644,root,root,755)

%files db-pgsql
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: acid.spec,v $
Revision 1.25  2006/11/21 19:56:41  glen
- rel 10: use php(extension) virtuals

Revision 1.24  2006/09/30 15:01:07  glen
- rel 9

Revision 1.23  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.22  2006/04/15 18:22:36  glen
- default config fix (#5780) and added virtual db packages (#5781), rel 8

Revision 1.21  2006/04/14 11:23:09  glen
- rel 7 (apache 2.2 compatible config)

Revision 1.20  2006/03/12 17:47:24  glen
- reflect adodb changes, rel 6

Revision 1.19  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.18  2005/12/03 20:54:57  glen
- build macros for webapps

Revision 1.17  2005/12/03 20:53:53  glen
- use webapps framework instead of obsoleted config inline edit
- fix php epoches

Revision 1.16  2005/12/03 18:59:36  czarny
- apache conf file
- apache install scripts

Revision 1.15  2005/04/25 10:29:54  misi3k
- rel 4
- acid requires php4

Revision 1.14  2005/01/17 08:17:21  dzeus
- ACID >= 0.9.6b22 require jpgraph

Revision 1.13  2003/12/05 14:18:22  qboosh
- data moved to _datadir (just make an alias where you want)
- config moved to /etc and marked properly
- config patch fixed and updated for current adodb location
- release 2

Revision 1.11  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/21 12:48:30  misi3k
- updated to 0.9.6b23

Revision 1.8  2002/12/07 18:32:29  orzech
- /home/httpd -> /home/services/httpd

Revision 1.7  2002/09/17 14:11:28  wiget
- updated to 0.9.6b21

Revision 1.6  2002/09/14 03:03:43  blues
- release 2 - new doc - STBR

Revision 1.5  2002/08/18 11:50:48  blues
- license fix

Revision 1.4  2002/04/25 15:41:18  arturs
- fixed a small typo

Revision 1.3  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/09/01 17:52:40  misiek
- initial pld release
